# base image with java runtime
FROM eclipse-temurin:17-jre-alpine

# get arguments for the specifi code version
ARG application_version

# pass environment variable
ENV application_version=$application_version
ENV SPRING_PROFILES_ACTIVE=$PROFILE
# maintainer for traceability
LABEL maintainer = "anup.maharjan@clusus.com"

# copy files to the container
COPY [ "target/assignment-$application_version.jar","jar_script.sh", "/opt/" ]

#create and switch to a non root user
RUN adduser -D user
RUN chown -R user:user /opt/
USER user

#set working directoy
WORKDIR "/opt/"

# application runs on port 8090
EXPOSE 8090

# run the jar file
ENTRYPOINT ["/opt/jar_script.sh"]
